Bug 830322 - Black boxes around text boxes and buttons
Black boxes around text boxes and buttons
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mingw32-webkitgtk (Show other bugs)
19
i386 Windows
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 16:36 EDT by Josh Rickmar
Modified: 2015-02-17 09:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:16:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image of the rendering bug (185.14 KB, image/png)
2012-06-08 16:36 EDT, Josh Rickmar
no flags Details

  None (edit)
Description Josh Rickmar 2012-06-08 16:36:18 EDT
Created attachment 590514 [details]
Image of the rendering bug

Description of problem:

When using the mingw32-webkitgtk package on Windows, often times black boxes will be displayed around text boxes and button widgets.  Attached is a screenshot of the xombrero browser running on windows displaying this bug.

Version-Release number of selected component (if applicable):

mingw32-webkitgtk-1.8.0-1.fc18_1.8.1-1.fc18.noarch.drpm

Steps to Reproduce:
1. Download and install xombrero for windows (comes with rawhide webkitgtk) from this link: https://opensource.conformal.com/snapshots/xombrero/windows/
2. Open to the webpage in the attached screenshot (https://opensource.conformal.com/wiki/Main_Page)
Comment 1 Kalev Lember 2012-06-11 14:05:29 EDT
webkitgtk tries to draw gtk widgets by using alpha compositing. gtk2 however doesn't support this very well (e.g. see the comment about Windows backend at http://developer.gnome.org/gdk/stable/GdkScreen.html#gdk-screen-get-rgba-colormap) and instead of transparency, we just get black colour.

This is certainly fixable, but unfortunately webkitgtk Windows backend isn't receiving much attention upstream, and the gtk2 support is also slowly getting phased out.

The issue is gone with gtk3, and I plan to do a mingw32-webkitgtk3 package that's built against gtk3 soon. Would that work for you?

See also the upstream report discussing the same issue:
https://bugs.webkit.org/show_bug.cgi?id=79680#c3
Comment 2 Josh Rickmar 2012-06-11 15:29:37 EDT
Thanks for the quick response and finding the bug upstream.  Unfortunately, switching to gtk3 at this time isn't really an option for us (it's a lot of work, and we want to make the gtk3 switch at the same time that the webkit2gtk api goes stable).
Comment 3 Josh Rickmar 2012-06-11 15:53:49 EDT
Also, another one of our devs has noticed that the openSUSE package does not have this rendering issue, so maybe they have worked out a solution.  It would be great if this was also working with the rawhide package!

Link to the package: http://ftp5.gwdg.de/pub/opensuse/repositories/windows:/mingw:/win32/openSUSE_Factory/noarch/mingw32-libwebkitgtk-1.6.1-2.38.noarch.rpm
Comment 4 Kalev Lember 2012-06-11 16:15:30 EDT
It's caused by the version difference. mingw32-webkitgtk-1.6.1-1.fc16 from Fedora 16 doesn't have this issue either.

webkitgtk has fallback code that tries to work around the missing alpha channel support, but unfortunately it's broken with 1.8. There was a big rendering rework and the gtk2 port now uses a cairo surface for backing store. Previously, when there was a GdkWindow associated, the fallback code simply drew directly on the GdkWindow. But now that the backing store is a cairo surface, it's not so simple any more with gtk2 (with gtk3 the cairo surface is a perfect fit).

http://kojipkgs.fedoraproject.org/packages/mingw32-webkitgtk/1.6.1/1.fc16/noarch/mingw32-webkitgtk-1.6.1-1.fc16.noarch.rpm
Comment 5 Fedora End Of Life 2013-04-03 10:50:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora End Of Life 2015-01-09 12:11:04 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 09:16:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.